Module java.naming
Package javax.naming.directory

## Class NoSuchAttributeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.naming.NamingException
      - - javax.naming.directory.NoSuchAttributeException

All Implemented Interfaces:
  `Serializable`

    public class NoSuchAttributeException
    extends NamingException

This exception is thrown when attempting to access an attribute that does not exist.

Synchronization and serialization issues that apply to NamingException apply directly here.

Since:
  1.3
See Also:
  Serialized Form

### Field Summary

### Fields declared in class javax.naming.NamingException

`remainingName, resolvedName, resolvedObj, rootException`

### Constructor Summary

Constructors
`NoSuchAttributeException()` Constructs a new instance of NoSuchAttributeException.
`NoSuchAttributeException​(String explanation)` Constructs a new instance of NoSuchAttributeException using an explanation.

### Method Summary

### Methods declared in class javax.naming.NamingException

`appendRemainingComponent, appendRemainingName, getCause, getExplanation, getRemainingName, getResolvedName, getResolvedObj, getRootCause, initCause, setRemainingName, setResolvedName, setResolvedObj, setRootCause, toString, toString`

### Methods declared in class java.lang.Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### NoSuchAttributeException

    public NoSuchAttributeException​(String explanation)

Constructs a new instance of NoSuchAttributeException using an explanation. All other fields are set to null.

Parameters:
  `explanation` - Additional detail about this exception. Can be null.
See Also:
  `Throwable.getMessage()`

#### NoSuchAttributeException

    public NoSuchAttributeException()

Constructs a new instance of NoSuchAttributeException. All fields are initialized to null.